body {
    font-family: 'PT Sans', sans-serif;
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    background: #faff3e;
    margin: 0;
}

.container-black {
    margin: auto;
    width: 99%;
    background: #191917 center top;
}

h1,h2,h3,h4,p,ul,ol,li,body {
    margin: 0;
    padding: 0;
}
.clearfix:after, .clearfix:before {
    content: "";
    display: block;
    clear: both;
}
*, *:after, *:before {
    box-sizing: border-box;
}
a {
    transition: all 0.3s ease-out;
}
a:hover { 
    transition: all 0.3s ease-out;
}



/*** HEADER ***/
#particle-canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

header {
  position: relative;
  min-height: 100vh; /* nebo výška dle potřeby */
  overflow: hidden;
  background: #1a1a1a;
}

header h1 {
  position: relative;
  color: white;
  text-align: center;
  padding-top: 100px;
  z-index: 1;
}

.center {
    position: relative;
    padding: 100px 0;
    text-align: center;
}

main {
  padding: 40px;
}

.topline {
    height: 60px;
    width: 100%;
    position: absolute;
    right: 10%;
    z-index: 3;
}
.social {
    text-align: right;
}
.topline a i {
    font-size: 1.8rem;
    color: #bdb9ac;
    text-decoration: none;
    padding-left: 2rem;
    line-height: 60px;
}
.topline a i:hover {
    color: #faff3e;
}

.img-fluid {
    width: 100%;
    max-width: 600px;
    height: auto;
    display: flex;
    margin: auto;
}

.img-kresba, .olej-img {
    width: 100%;
    max-width: 675px;
    height: auto;
}


/******** CAROUSEL ********/

.mySlides {
    display: none
}

img {
    vertical-align: middle;
}

/* Slideshow container */

.container-img, .olej-cont {
    position: relative;
    display: block;
}


/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: #000;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
    background-color: rgba(250, 255, 62, 0.8);
}



/* The dots/bullets/indicators */
.dots-container {
    position: absolute;
    bottom : 3%;
    left: 50%;
    transform: translate(-50%, -50%);
    
 }
.dot {
    cursor: pointer;
    height: 12px;
    width: 12px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active, .dot:hover {
    background-color: #000;
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .prev, .next {
      font-size: 11px
  }
}

/******** END CAROUSEL *********/

#toTop {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: rgba(0, 0, 0, 0.95); 
    color: #faff3e;
    cursor: pointer;
    border-radius: 30px;
    font-size: 20px;
    width: 50px;
    height: 50px;
    box-shadow: 0 0 20px 0 rgba(250, 255, 62, 0.2);
}


.title {
    color: #e7e4d3;
    width: 100%;
}
.title h1 {
    text-transform: lowercase;
    font-size: 1.8rem;
}
.title h1 span.uppercase {
    text-transform: uppercase;
    color: #faff3e;
}

.title h1 span.address {
    font-size: 1.5rem;
    text-transform: initial;
    font-weight: normal;
}
.title-text {
    margin: auto;
    line-height: 3rem;
    padding: 2rem 0;
}
.title-text h2 a {
    text-decoration: none;
    text-align: left;
}

.line {
    border-bottom: 1.5px solid #adaa9e;
    padding-bottom: 8px;
}

a.orange {
    color: #ffa500; 
}

a.yellow {
    color: #faff3e;
}

a.green {
    color: #7db725;
}

a.blue {
    color: #2C94B6;
}

.title-desc {
    color: #b8b5a8;
    margin: auto;
}
.title-desc p {
    padding-bottom: 2rem;
    font-size: 1.25rem;
}
.title-desc p a {
    text-decoration: underline;
    color: #b8b5a8;
}
.title-desc p a:hover {
    color: #faff3e;
}
.title-desc p span {
    color: #e7e4d3;
    font-weight: 600;
}

.submit {
    padding: 0 0 3rem 0;
}
  
.submit a {
    text-transform: uppercase;
    color: #191917;
    font-weight: bold;
    padding: 10px 25px;
    background: #faff3e;
    font-size: 1.25rem;
    margin-top: 25px;
    text-decoration: none;
}
.submit a:hover {
    background: #ffa500;
}

a.yellow:hover, a.green:hover, a.orange:hover, a.blue:hover {
    color: #b8b5a8;
}


/*** SECTION ***/
.figura-title {
    text-transform: uppercase;
    color: #faff3e;
    font-size: 1.5rem;
    text-align: center;
}

.container-yl {
    background: #faff3e;
    margin: auto;
    width: 42%;
    z-index: 1;
    display: block;
}
.main {
    text-align: left;
    z-index: 2;
    width: 90%;
    margin: 320px auto 150px;
}

.break {
    background: #191917;
    width: 100%;
    height: 30px;
}
.menu {
    padding-top: 280px;
    padding-bottom: 65px;
}
.menu a {
    display: inline;
    text-transform: uppercase;
    font-size: 1rem;
    font-weight: bold;
    margin-right: 15px;
    color: #191917;
    cursor: pointer;
}
.kontakt {
    text-align: left;
    padding-bottom: 65px;
}
.main h3 {
    text-transform: uppercase;
    font-size: 1.25rem;
    margin-top: 2rem;
} 
.main .pb {
    padding-bottom: 25px;
}
.main a {
    color: #191917;
    text-decoration: underline;
}
.main a:hover {
    color: #faff3e;
    background: #191917;
}
.informace {
    padding-bottom: 65px;
}
.informace ul {
    padding-left: 20px;
}
.lektori {
    padding-bottom: 65px;
}
.misto {
    padding-bottom: 65px;
}
.terminy {
    padding-bottom: 65px;
}
.terminy h4 {
    padding-bottom: 15px;
}
.terminy .dots {
    display: none;
}
.terminy ul {
    padding-left: 20px;
}
.terminy-vikendy {
    padding-bottom: 65px;
}
p .odkaz a:hover {
    background: #191917;
    color: #faff3e;
    text-decoration: none;
} 
.prihlaska {
    padding-bottom: 100px;
}
.prihlaska p {
    padding-bottom: 25px;
    
}
.prihlaska label {
    display: block;
    margin: 0 0 0.7em 0;
    font-weight: bold;
}
.prihlaska .pole {
    padding-bottom: 15px;
}
.prihlaska input[type="text"], .prihlaska select {
    background: #faff3e;
    border: solid 1px #191917;
    padding: 6px 20px;
    display: block;
    outline: 0;
    width: 60%;
    font-family: 'PT Sans', sans-serif;
}
.prihlaska input[type="submit"] {
    color: #191917;
    font-weight: bold;
    padding: 6px 20px;
    background: #faff3e;
    font-size: 1.1rem;
    margin-top: 25px;
    text-decoration: none;
    outline: 0;
    border: #191917 1px solid;
    cursor: pointer;
    font-family: 'PT Sans', sans-serif;
}
.prihlaska input[type="submit"]:hover {
    box-shadow: 3px 3px 7px rgba(25, 25, 23, 0.5);
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active  {
    -webkit-box-shadow: 0 0 0 30px #faff3e inset !important;
}

.error {
    display: block;
    font-weight: bold;
    color: #adaa9e;
}



/*** MEDIA QUERIES ***/


@media screen and (max-width: 800px) {
    .container-yl {
        width: 87%;
    }
    .center {
        padding-left: 12%;
    }
    .social a {
        font-size: 1.5rem;
    }
    .title h1 {
        position: absolute;
        top: 12%;
        left: 15%;
        padding: 15px 20px 15px 0px;
        font-size: 1.6rem;
    }
    .submit a {
        margin: auto;
        padding: 8px 20px;
        font-size: 1.1rem;
    }
    .main {
        margin: 30px auto;
    }
    .menu {
        padding: 1rem 0 2rem 0;
    }
    .title-text h2 {
        font-size: 1.3rem;    
    }
    .title-desc p {
        font-size: 1.1rem;
    }
    .prihlaska input[type="text"], .prihlaska select {
    width: 100%;
    }
    
}

@media only screen and (min-width: 801px)and (max-width: 1400px) {
    .title h1 {
        position: absolute;
        top: 23%;
        left: 27%;
    }
    .container-yl {
        width: 690px;
        margin: 0px auto 0;
    }
    .container-img, .olej-cont {
        position: relative;
        width: calc(100% - 10vw);
        margin: auto;
        display: block;
    }
    .img-kresba, .olej-img {
        position: absolute;
        top: 50%;
        left: 50%; 
        transform: translate(-50%, -50%);
        width: 100%;
    } 
    .dots-container {
        bottom : -270px;
    }
    .menu {
        padding-top: 315px;
    }
    .main {
        padding: 0 2rem 0 1.5rem;
    }
    .break {
        height: 320px;
    }
    .terminy .dots {
        display: inline;
    }
}

@media only screen and (min-width: 1401px) {
    .container-yl {
        width: 740px;
    }
    .container-img, .olej-cont {
        position: relative;
        width: calc(100% - 10vw);
        margin: auto;
    }
    .img-kresba, .olej-img {
        position: absolute;
        top: 50%;
        left: 50%; 
        transform: translate(-50%, -50%);
        width: 100%;
    }
    .dots-container {
        bottom : -270px;
    }
    .main {
        padding: 0 2rem 0 3rem;
    }
    
    .break {
        height: 300px;
    }
    .terminy .dots {
        display: inline;
    }
}



/*** PŘIHLÁŠKA ***/

.prihlaseni {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}




